MultiStepCommand (Grails 6.0.0)

Package: org.grails.cli.profile

## [Groovy] Class MultiStepCommand

- org.grails.cli.profile.MultiStepCommand

- All Implemented Interfaces and Traits:
    CommandEvents, ProfileCommand

      abstract class MultiStepCommand
      extends java.lang.Object
      implements CommandEvents, ProfileCommand

  A command that executes multiple steps

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private int` | `minArguments` |
    `private java.lang.String` | `name` |
    `private Profile` | `profile` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `minArguments`
    `java.lang.String` | `name`
    `Profile` | `profile`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MultiStepCommand (java.lang.String name, Profile profile)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract java.util.List<Step>` | `getSteps()` Returns: The steps that make up the command
    `` | `boolean` | `handle(ExecutionContext context)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private int minArguments

    - #### private java.lang.String name

    - #### private Profile profile

  - ### Property Detail

    - #### int minArguments

    - #### java.lang.String name

    - #### Profile profile

  - ### Constructor Detail

    - #### MultiStepCommand(java.lang.String name, Profile profile)

  - ### Method Detail

    - #### abstract java.util.List<Step> getSteps()

      Returns:
        The steps that make up the command

    - #### @java.lang.Override boolean handle(ExecutionContext context)